import { IElementDefinition } from "./IElementDefinition.js";
import { IElementsService } from "./IElementsService.js";
export declare class WebcomponentManifestElementsService implements IElementsService {
    private _name;
    get name(): string;
    private _importPrefix;
    private _elementList;
    private _resolveStored;
    private _rejectStored;
    constructor(name: string, importPrefix: string, manifest: any);
    private _parseManifest;
    getElements(): Promise<IElementDefinition[]>;
}
